// Code generated by mockery v2.14.0. DO NOT EDIT.

package mocks

import (
	mock "github.com/stretchr/testify/mock"
	v1 "k8s.io/api/core/v1"
)

// PersistentVolumeRepo is an autogenerated mock type for the PersistentVolumeRepo type
type PersistentVolumeRepo struct {
	mock.Mock
}

// Create provides a mock function with given fields: item
func (_m *PersistentVolumeRepo) Create(item *v1.PersistentVolume) (*v1.PersistentVolume, error) {
	ret := _m.Called(item)

	var r0 *v1.PersistentVolume
	if rf, ok := ret.Get(0).(func(*v1.PersistentVolume) *v1.PersistentVolume); ok {
		r0 = rf(item)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*v1.PersistentVolume)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(*v1.PersistentVolume) error); ok {
		r1 = rf(item)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// Delete provides a mock function with given fields: name
func (_m *PersistentVolumeRepo) Delete(name string) error {
	ret := _m.Called(name)

	var r0 error
	if rf, ok := ret.Get(0).(func(string) error); ok {
		r0 = rf(name)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// Get provides a mock function with given fields: name
func (_m *PersistentVolumeRepo) Get(name string) (*v1.PersistentVolume, error) {
	ret := _m.Called(name)

	var r0 *v1.PersistentVolume
	if rf, ok := ret.Get(0).(func(string) *v1.PersistentVolume); ok {
		r0 = rf(name)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*v1.PersistentVolume)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(string) error); ok {
		r1 = rf(name)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// Update provides a mock function with given fields: item
func (_m *PersistentVolumeRepo) Update(item *v1.PersistentVolume) (*v1.PersistentVolume, error) {
	ret := _m.Called(item)

	var r0 *v1.PersistentVolume
	if rf, ok := ret.Get(0).(func(*v1.PersistentVolume) *v1.PersistentVolume); ok {
		r0 = rf(item)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*v1.PersistentVolume)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(*v1.PersistentVolume) error); ok {
		r1 = rf(item)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

type mockConstructorTestingTNewPersistentVolumeRepo interface {
	mock.TestingT
	Cleanup(func())
}

// NewPersistentVolumeRepo creates a new instance of PersistentVolumeRepo. It also registers a testing interface on the mock and a cleanup function to assert the mocks expectations.
func NewPersistentVolumeRepo(t mockConstructorTestingTNewPersistentVolumeRepo) *PersistentVolumeRepo {
	mock := &PersistentVolumeRepo{}
	mock.Mock.Test(t)

	t.Cleanup(func() { mock.AssertExpectations(t) })

	return mock
}
